Fòrum Àgora-MOODLE

Traspàs Moodle 1.9

Traspàs Moodle 1.9

per Iban Ricart Rotllant -
Nombre de respostes: 3
Hola,
tinc un problemet.
Resulta que un company del meu centre té cursos en format de fitxer, és a dir, de còpies de seguretat.
Aquestes còpies les ha fet d'un moodle 1.9 però no són del moodle de l'Àgora.

No puc utilitzar el traspàs del moodle 1.9 al nou moodle perquè aquests cursos no els tinc penjats al moodle antic.

Ho he provat directament dels fitxers. Durant els passos del procés de restauració, veig els títols de les activitats, ... però a l'últim pas, quan carrega el curs, apareix un error dient alguna cosa de la base de dades.

És possible passar cursos de la versió 1.9 a la nova versió directament d'una còpia de seguretat de moodle?.
En cas afirmatiu, com?. En cas contrari, és possible publicar els cursos al moodle antic d'alguna manera per tal de poder realitzar el traspàs al nou moodle amb l'eina de traspàs?.

Gràcies per la vostra atenció.
En resposta a Iban Ricart Rotllant

Re: Traspàs Moodle 1.9

per MONICA GRAU PRIETO -
Hola Iban,
en principi, sí que és possible però sense veure el curs no podem saber el motiu pel que falla.

Per poder-te ajudar necessitaríem que ens passessis l'enllaç a la còpia de seguretat per descarregar-la y provar de restaurar-la en un entorn de proves.

Pel que fa a restaurar-la al Moodle 1.9 per poder fer servir l'eina d'importació no és possible donat que ja està bloquejat.

Fins ara,
Mònica
En resposta a MONICA GRAU PRIETO

Re: Traspàs Moodle 1.9

per Iban Ricart Rotllant -
Hola,
no sé quin enllaç necessiteu.

Tinc el del nostre moodle:

http://agora.xtec.cat/iescirvianum/moodle/backup/restorefile.php?contextid=2

i seleccionar la opció tria un fitxer.


Sinó, des del nostre entorn d'administració són els únics documents en format .zip que estan penjats a l'espai del model 2.x

Fins ara.
En resposta a Iban Ricart Rotllant

Re: Traspàs Moodle 1.9

per MONICA GRAU PRIETO -
Hola Iban,
hem estat fent algunes proves amb les còpies de seguretat i hem vist que el Moodle d'on provenen és un 1.9.6, és correcte?

En aquest cas caldria actualitzar aquest Moodle de phobos a la versió 1.9.19 i tornar a fer les còpies de seguretat sense dades d'usuari/ària (també hem trobat algun conflicte en aquest sentit).

Un cop tingueu aquestes còpies proveu de nou a veure si es restauren correctament. En cas que us doni algun error, mireu de:
  • Desmarcar les activitats Hot Potatoes, són les que sovint fan que les còpies de seguretat antigues no es puguin restaurar correctament.
  • Desmarcar els qüestionaris, és el segon problema més habitual, normalment no arribem a saber quin és el que falla i per tant, també convé desmarcar-los tots en cas d'obtenir algun error.
Ja ens direu si fent aquests canvis aconseguiu restaurar les còpies correctament.

Fins ara,
Mònica